org.fourthline.cling.model.meta

## Class DeviceIdentity

- java.lang.Object
- - org.fourthline.cling.model.meta.DeviceIdentity

- All Implemented Interfaces:
    Validatable
  Direct Known Subclasses:
    RemoteDeviceIdentity

      public class DeviceIdentity
      extends Object
      implements Validatable

  Unique device name, received and offered during discovery with SSDP.
  Author:
    Christian Bauer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeviceIdentity(UDN udn)`
    `DeviceIdentity(UDN udn, DeviceIdentity template)`
    `DeviceIdentity(UDN udn, Integer maxAgeSeconds)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `Integer` | `getMaxAgeSeconds()`
    `UDN` | `getUdn()`
    `int` | `hashCode()`
    `String` | `toString()`
    `List<ValidationError>` | `validate()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DeviceIdentity

          public DeviceIdentity(UDN udn,
                                DeviceIdentity template)

    - #### DeviceIdentity

          public DeviceIdentity(UDN udn)

    - #### DeviceIdentity

          public DeviceIdentity(UDN udn,
                                Integer maxAgeSeconds)

  - ### Method Detail

    - #### getUdn

          public UDN getUdn()

    - #### getMaxAgeSeconds

          public Integer getMaxAgeSeconds()

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### validate

          public List<ValidationError> validate()

      Specified by:
        `validate` in interface `Validatable`
      Returns:
        An empty `List` if all rules validated properly, otherwise, the detected errors.

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.